Bug 27636 - Installation gives me warning that my BIOS don't support lba32
Summary: Installation gives me warning that my BIOS don't support lba32
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-14 17:08 UTC by Torkar, Richard
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 18:05:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Torkar, Richard 2001-02-14 17:08:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-pre2 i686; en-US; 0.8)
Gecko/20010212


During the installation I get the warning that my mobo doesn't support
lba32. That is wrong! Directly after booting with my boot floppy I edited
/etc/lilo.conf and added lba32 and re-ran lilo. Afterwards it booted
succefully.

Reproducible: Always
Steps to Reproduce:
1.Install Fisher
2.Use a BP6 mobo from Abit.
3. During installation choose "install lilo at MBR"

Actual Results:  Installation said that my mobo didn't support lba32

Expected Results:  It should identify my mobo correctly and see that lba32
is possible. And then install lilo accordingly!

I have an Abit BP6 with dual Celerons.

Relevant parts of messages:
Feb 13 20:15:32 xxx kernel: BIOS Vendor: Award Software International, Inc.
Feb 13 20:15:32 xxx kernel: BIOS Version: 4.51 PG
Feb 13 20:15:32 xxx kernel: BIOS Release: 04/20/00

I have BIOS version 1.26 for BP6 which can be found at http://www.abit.com.tw

If you need any more info please don't hesitate to ask!

/Richard

Comment 1 Doug Ledford 2001-02-22 00:00:17 UTC
I'm not aware of lilo ever issuing this message.  I think this is the installer
issuing this warning and them modifying the /etc/lilo.conf file accordingly. 
I'm reassigning this to the install team.

Comment 2 Michael Fulbright 2001-02-27 23:51:17 UTC
The message is based on a BIOS call which is supposed to give the capabilities
of the motherboard.  Apparently yours returned that it did not.

May be related to bug 29866.

Comment 3 Glen Foster 2001-03-02 18:05:50 UTC
Our installer team-lead thinks we should really fix this before next release.

Comment 4 Matt Wilson 2001-03-09 15:22:32 UTC
If the edd bios call says that it isn't supported, there isn't much we can do. 
If you want to force lba32, boot with "linux lba32" at the boot: prompt when
booting into the installer.



Note You need to log in before you can comment on or make changes to this bug.